#!/usr/bin/python


import os
import datetime

from PIL import Image,ImageDraw,ImageFont


#
img_org = Image.open("status_monitor.png")
img = img_org.copy()#Image.new("RGBA",(480,272))

draw = ImageDraw.Draw(img)

my_font = ImageFont.truetype("/home/marcus/.fonts/Inconsolata.otf", 24)

cpu_usage = os.popen("top -b -n 2 -i",'r').readlines()
cpu_usage = [line.strip() for line in cpu_usage if line.split(":")[0] == "Cpu(s)"][-1]
cpu_usage = "CPU:"+cpu_usage.split(",")[0].split(":")[1].strip()[:-2]
print cpu_usage
draw.text((30,20), cpu_usage,font=my_font)

memory = os.popen("free -m",'r').readlines()
mem_usage = memory[1].split()
swap_usage = memory[3].split()
mem_usage = "Memory:"+mem_usage[3]+"/"+mem_usage[1]
swap_usage = "Swap:"+swap_usage[3]+"/"+swap_usage[1]
print mem_usage
print swap_usage
draw.text((30,50), mem_usage,font=my_font)
draw.text((30,80), swap_usage,font=my_font)

sensors = os.popen("sensors",'r').readlines()
cpu_temps = [line.split(":")[1].split(".")[0].strip() for line in sensors if 'Core ' in line or 'CPU Temp:' in line]
cpu_temps = "CPU Temp:"+",".join(cpu_temps)
draw.text((30,110), cpu_temps,font=my_font)

time_str =  datetime.datetime.now().isoformat(" ").split(".")[0]
draw.text((30,140),time_str,font=my_font)

del draw

img.save("cur_status.png")
os.popen("nc 192.168.2.100 80 < cur_status.png",'r').readlines()
#img.show()

